org.apache.xmlgraphics.image.loader.impl

## Class ImageRawEPS

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImage
  - - org.apache.xmlgraphics.image.loader.impl.ImageRawStream
    - - org.apache.xmlgraphics.image.loader.impl.ImageRawEPS

- All Implemented Interfaces:
    Image

      public class ImageRawEPS
      extends ImageRawStream

  This class is an implementation of the Image interface exposing EPS file. It provides an InputStream to access the EPS content and the decoded high-res bounding box.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.xmlgraphics.image.loader.impl.ImageRawStream

      `ImageRawStream.ByteArrayStreamFactory, ImageRawStream.InputStreamFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageRawEPS(ImageInfo info, ImageRawStream.InputStreamFactory streamFactory)` Main constructor.
    `ImageRawEPS(ImageInfo info, java.io.InputStream in)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Rectangle2D` | `getBoundingBox()` Returns the bounding box of the EPS image.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.ImageRawStream

      `createInputStream, getFlavor, getMimeType, isCacheable, setInputStreamFactory, writeTo`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage

      `getColorSpace, getICCProfile, getInfo, getSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageRawEPS

          public ImageRawEPS(ImageInfo info,
                             ImageRawStream.InputStreamFactory streamFactory)

      Main constructor.
      Parameters:
        `info` - the image info object
        `streamFactory` - the InputStreamFactory that is used to create InputStream instances

    - #### ImageRawEPS

          public ImageRawEPS(ImageInfo info,
                             java.io.InputStream in)

      Main constructor.
      Parameters:
        `info` - the image info object
        `in` - the InputStream with the raw content

  - ### Method Detail

    - #### getBoundingBox

          public java.awt.geom.Rectangle2D getBoundingBox()

      Returns the bounding box of the EPS image.
      Returns:
        the bounding box

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.